Everstack
API ReferenceSandboxTrigger History

Triggers (shared history)

GET/v1/sandbox/triggers
GET/v1/sandbox/triggers

Your instance endpoint, shown on the instance page in the dashboard. Each instance has its own host; there is no shared API host.

Parameters

NameInTypeRequiredDescription
tenantIdquerystringNo
sandboxIdquerystringNo
triggerTypequerystringNo
limitqueryintegerNo
offsetqueryintegerNo

Responses

200 List trigger execution history

PropertyTypeDescription
triggersobject[]
totalinteger

default An unexpected error response.

PropertyTypeDescription
codeinteger
messagestring
detailsobject[]

Request

curl -X GET "https://{instance}.{region}.everstack.ai/v1/sandbox/triggers" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"
const response = await fetch("https://{instance}.{region}.everstack.ai/v1/sandbox/triggers", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_API_KEY",
    "Content-Type": "application/json",
  },
});
const data = await response.json();
import requests

response = requests.get(
    "https://{instance}.{region}.everstack.ai/v1/sandbox/triggers",
    headers={
        "Authorization": "Bearer YOUR_API_KEY",
        "Content-Type": "application/json",
    },
)
data = response.json()

Response

{
  "triggers": [
    {
      "id": "string",
      "triggerType": "string",
      "triggerId": "string",
      "sandboxId": "string",
      "executionId": "string",
      "status": "string",
      "error": "string",
      "durationMs": "string",
      "webhookMethod": "string",
      "webhookBody": "string",
      "createdAt": "2024-01-01T00:00:00Z"
    }
  ],
  "total": 0
}
{
  "code": 0,
  "message": "string",
  "details": [
    {
      "@type": "string"
    }
  ]
}